Groovy 1.7.10

## groovy.util.slurpersupport
[Java] Class ReplacementNode

    java.lang.Object
      groovy.util.slurpersupport.ReplacementNode

All Implemented Interfaces:
  Buildable, Writable

    public abstract class ReplacementNode
    extends Object

Helper base class used for lazy updates.

Authors:
  John Wilson

Method Summary
`void` | `build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)`
`void` | `build(GroovyObject builder)`
`Writer` | `writeTo(Writer out)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### build

    public void build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)

### build

    public void build(GroovyObject builder)

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2010 The Codehaus. All rights reserved.